<?php
/**
 * Unicode Common Locale Data Repository (CLDR) Language-Specific File
 * @Language - Korean
 * @Author - Eric Jazz
 * @Email - jazz302098@gmail.com
 * @Website - Not specified
 */
return array(
    // Core Settings
    'RTL' => false,
    'LANG_SUFFIX' => '', /* I.e. if 'RTL' is used, it will load 'SliderArrowRTL.jpg' image file instead of 'SliderArrow.jpg' */
    'LOCALE_LANG' => 'ko_KR',
    'DATATABLES_LANG' => 'Korean',
    'DATEPICKER_LANG' => 'ko',
    'COUNTRIES_LANG' => 'ko', // ISO 3166-1 alpha-2 country codes file name
    'RECAPTCHA_LANG' => 'en',

    // Admin Core
    'LANG_AVAILABLE_TEXT' => '가능',
    'LANG_ALLOWED_TEXT' => 'Allowed',
    'LANG_NOT_ALLOWED_TEXT' => 'Not Allowed',
    'LANG_IMPOSSIBLE_TEXT' => 'Impossible',
    'LANG_DISPLAYED_TEXT' => '디스플레이',
    'LANG_VISIBLE_TEXT' => '보임',
    'LANG_HIDDEN_TEXT' => '숨김',
    'LANG_ENABLED_TEXT' => '가능',
    'LANG_DISABLED_TEXT' => '불가능',
    'LANG_REQUEST_TEXT' => '요청',
    'LANG_REQUESTS_TEXT' => '요청들',
    'LANG_CHECK_TEXT' => 'Check',
    'LANG_SKIP_TEXT' => 'Skip',
    'LANG_FIND_TEXT' => 'Find',
    'LANG_ADD_TEXT' => 'Add',
    'LANG_YES_TEXT' => '예',
    'LANG_NO_TEXT' => '아니오',
    'LANG_NEVER_TEXT' => '네버',
    'LANG_DROPDOWN_TEXT' => '드롭다운',
    'LANG_SLIDER_TEXT' => '슬라이더',
    'LANG_WITHOUT_TRANSLATION_TEXT' => '번역 없이',

    // Core
    'LANG_IMAGE_ALT_TEXT' => '이미지',
    'LANG_PRICE_TEXT' => '가격',
    'LANG_PERIOD_TEXT' => '기간',
    'LANG_DURATION_TEXT' => '기간',
    'LANG_ID_TEXT' => 'ID',
    'LANG_ID2_TEXT' => 'Id',
    'LANG_S_ID_S_TEXT' => '%s (ID: %s)',
    'LANG_CODE_TEXT' => 'Code',
    'LANG_SKU_TEXT' => 'SKU',
    'LANG_JAN_TEXT' => 'Jan',
    'LANG_FEB_TEXT' => 'Feb',
    'LANG_MAR_TEXT' => 'Mar',
    'LANG_APR_TEXT' => 'Apr',
    'LANG_MAY_TEXT' => 'May',
    'LANG_JUN_TEXT' => 'Jun',
    'LANG_JUL_TEXT' => 'Jul',
    'LANG_AUG_TEXT' => 'Aug',
    'LANG_SEP_TEXT' => 'Sep',
    'LANG_OCT_TEXT' => 'Oct',
    'LANG_NOV_TEXT' => 'Nov',
    'LANG_DEC_TEXT' => 'Dec',
    'LANG_MON_TEXT' => '월',
    'LANG_TUE_TEXT' => '화',
    'LANG_WED_TEXT' => '수',
    'LANG_THU_TEXT' => '목',
    'LANG_FRI_TEXT' => '금',
    'LANG_SAT_TEXT' => '토',
    'LANG_SUN_TEXT' => '일',
    'LANG_MONDAYS_TEXT' => '월요일',
    'LANG_TUESDAYS_TEXT' => '화요일',
    'LANG_WEDNESDAYS_TEXT' => '수요일',
    'LANG_THURSDAYS_TEXT' => '목요일',
    'LANG_FRIDAYS_TEXT' => '금요일',
    'LANG_SATURDAYS_TEXT' => '토요일',
    'LANG_SUNDAYS_TEXT' => '일요일',
    'LANG_ONLY_ON_FRIDAY_TEXT' => 'Only on Friday',
    'LANG_FRIDAY_AND_SATURDAY_TEXT' => 'Friday & Saturday',
    'LANG_SATURDAY_AND_SUNDAY_TEXT' => 'Saturday & Sunday',
    'LANG_MIDNIGHT_TEXT' => '00:00',
    'LANG_NOON_TEXT' => '12:00',
    'LANG_TODAY_TEXT' => 'Today',
    'LANG_WEEKDAY_TEXT' => 'Weekday',
    'LANG_WEEKDAY_ONLY_TEXT' => 'Weekday only',
    'LANG_WEEKDAYS_TEXT' => 'Weekdays',
    'LANG_WEEKDAYS_ONLY_TEXT' => 'Weekdays only',
    'LANG_WEEKNIGHT_TEXT' => 'Weeknight',
    'LANG_WEEKNIGHT_ONLY_TEXT' => 'Weeknight only',
    'LANG_WEEKNIGHTS_TEXT' => 'Weeknights',
    'LANG_WEEKNIGHTS_ONLY_TEXT' => 'Weeknights only',
    'LANG_WEEKEND_TEXT' => 'Weekend',
    'LANG_WEEKEND_ONLY_TEXT' => 'Weekend only',
    'LANG_WEEKENDS_TEXT' => 'Weekends',
    'LANG_WEEKENDS_ONLY_TEXT' => 'Weekends only',
    'LANG_S_PARTIAL_DAY_TEXT' => '%s - 24:00',
    'LANG_ALL_DAY_TEXT' => '24 시간',
    'LANG_ALL_DAYS_TEXT' => 'All days',
    'LANG_ALL_NIGHTS_TEXT' => 'All nights',
    'LANG_ALL_WEEK_TEXT' => 'All week',
    'LANG_ALL_WEEKS_TEXT' => 'All weeks',
    'LANG_ALL_MONTH_TEXT' => 'All week',
    'LANG_ALL_MONTHS_TEXT' => 'All weeks',
    'LANG_ALL_YEAR_TEXT' => 'All Year',
    'LANG_ALL_YEARS_TEXT' => 'All years',
    'LANG_DATE_TEXT' => '날짜',
    'LANG_DATE_SELECT_TEXT' => '날짜:',
    'LANG_DATE_SELECT2_TEXT' => '- Select Date -', // MB
    'LANG_DATE_SELECTOR_TEXT' => 'Date selector',
    'LANG_DATE_FORMAT_TEXT' => 'Date Format',
    'LANG_TIMEFRAME_TEXT' => 'Timeframe',
    'LANG_TIMEFRAME_SELECT_TEXT' => 'Timeframe:',
    'LANG_TIMEFRAME_SELECT2_TEXT' => '- Timeframe -',
    'LANG_ANYTIME_TEXT' => 'Anytime',
    'LANG_ALL_TIME_TEXT' => 'All-Time',
    'LANG_TIME_TEXT' => '시간',
    'LANG_TIME_SELECT_TEXT' => '시간:', // MB
    'LANG_TIME_SELECT2_TEXT' => '- Select 시간 -', // MB
    'LANG_S_AGO_TEXT' => '%s ago', // No additional prefix needed here - keep it simple
    'LANG_YEAR_TEXT' => 'Year',
    'LANG_YEAR1_TEXT' => 'year',
    'LANG_YEAR_SELECT_TEXT' => '연도',
    'LANG_YEARS_TEXT' => 'Years',
    'LANG_YEARS2_TEXT' => 'years',
    'LANG_YEARS10_TEXT' => 'years',
    'LANG_MONTH_TEXT' => 'Month',
    'LANG_MONTH1_TEXT' => 'month',
    'LANG_MONTH_SELECT_TEXT' => '달',
    'LANG_MONTHS_TEXT' => 'Months',
    'LANG_MONTHS2_TEXT' => 'months',
    'LANG_MONTHS10_TEXT' => 'months', // 10 months
    'LANG_WEEK_TEXT' => 'Week',
    'LANG_WEEK1_TEXT' => 'week', // 1 week
    'LANG_WEEKS_TEXT' => 'Weeks',
    'LANG_WEEKS2_TEXT' => 'weeks', // 2-9 weeks
    'LANG_WEEKS10_TEXT' => 'weeks', // 10 weeks
    'LANG_DAY_TEXT' => '하루',
    'LANG_DAY1_TEXT' => '하루',
    'LANG_DAY_SELECT_TEXT' => '하루',
    'LANG_DAYS_TEXT' => '하루',
    'LANG_DAYS2_TEXT' => '하루들',
    'LANG_DAYS10_TEXT' => '하루들',
    'LANG_NIGHT_TEXT' => 'Night',
    'LANG_NIGHT1_TEXT' => 'night',
    'LANG_NIGHT_SELECT_TEXT' => 'Night',
    'LANG_NIGHTS_TEXT' => 'Nights',
    'LANG_NIGHTS2_TEXT' => 'nights', // 2-9 nights
    'LANG_NIGHTS10_TEXT' => 'nights', // 10 nights
    'LANG_HOUR_TEXT' => '시간',
    'LANG_HOUR1_TEXT' => '시간',
    'LANG_HOURS_TEXT' => '시간',
    'LANG_HOURS2_TEXT' => '시간',
    'LANG_HOURS10_TEXT' => '시간',
    'LANG_MINUTE_TEXT' => '분',
    'LANG_MINUTE1_TEXT' => '분',
    'LANG_MINUTES_TEXT' => '분',
    'LANG_MINUTES2_TEXT' => '분',
    'LANG_MINUTES10_TEXT' => '분',
    'LANG_ONCE_TEXT' => 'Once',
    'LANG_YEARLY_TEXT' => 'Yearly',
    'LANG_MONTHLY_TEXT' => 'Monthly',
    'LANG_WEEKLY_TEXT' => 'Weekly',
    'LANG_DAILY_TEXT' => '매일',
    'LANG_NIGHTLY_TEXT' => 'Nightly',
    'LANG_HOURLY_TEXT' => '시간당',
    'LANG_EVERY_MINUTE_TEXT' => 'Every minute',
    'LANG_REPEAT_YEARLY_TEXT' => 'Repeat yearly',
    'LANG_REPEAT_TEXT' => 'Repeat',
    'LANG_DO_NOT_REPEAT_TEXT' => 'Do not repeat',
    'LANG_BY_TIME_COUNT_TEXT' => 'By time count',
    'LANG_BY_NOON_COUNT_TEXT' => 'By noon count',
    'LANG_BY_DATE_COUNT_TEXT' => 'By date count',
    'LANG_IN_MINUTES_ONLY_TEXT' => 'In minutes only',
    'LANG_IN_HOURS_ONLY_TEXT' => 'In hours only',
    'LANG_IN_DAYS_ONLY_TEXT' => 'In days only',
    'LANG_IN_NIGHTS_ONLY_TEXT' => 'In nights only',
    'LANG_IN_MONTHS_ONLY_TEXT' => 'In months only',
    'LANG_IN_YEARS_ONLY_TEXT' => 'In years only',
    'LANG_IN_HOURS_AND_MINUTES_TEXT' => 'In hours & minutes',
    'LANG_IN_DAYS_AND_HOURS_TEXT' => 'In days & hours',
    'LANG_IN_NIGHTS_AND_HOURS_TEXT' => 'In nights & hours',
    'LANG_IN_YEARS_AND_MONTHS_TEXT' => 'In years & months',
    'LANG_ON_ST_TEXT' => 'st', // On January 21st
    'LANG_ON_ND_TEXT' => 'nd', // On January 22nd
    'LANG_ON_RD_TEXT' => 'rd', // On January 23rd
    'LANG_ON_TH_TEXT' => 'th', // On January 24th
    'LANG_ON_TEXT' => '온', // on
    'LANG_THE_ST_TEXT' => 'st', // 1st, do the search
    'LANG_THE_ND_TEXT' => 'nd', // 2nd, select a location
    'LANG_THE_RD_TEXT' => 'rd', // 3rd, select an item model
    'LANG_THE_TH_TEXT' => 'th', // 4th, choose extras
    'LANG_UPCOMING_TEXT' => '곧',
    'LANG_PAST_TEXT' => '예전',
    'LANG_PREVIOUS_TEXT' => '뒤로',
    'LANG_NEXT_TEXT' => 'Next',
    'LANG_NA_TEXT' => '없음',
    'LANG_NOT_APPLICABLE_TEXT' => 'Not Applicable',
    'LANG_NOT_APPLICABLE2_TEXT' => 'Not applicable', // Uppercase lowercase
    'LANG_NOT_ASSIGNED_TEXT' => 'Not Assigned',
    'LANG_NOT_ASSIGNED2_TEXT' => 'Not assigned', // Uppercase lowercase
    'LANG_NONE_TEXT' => '없음',
    'LANG_NOT_SET_TEXT' => '안 됨',
    'LANG_NOT_SET2_TEXT' => '안 됨', // Uppercase lowercase
    'LANG_DOES_NOT_EXIST_TEXT' => '존재하지 않음',
    'LANG_EXIST_TEXT' => '존재함',
    'LANG_NOT_REQ_TEXT' => 'Not req.',
    'LANG_REQ_TEXT' => 'Req.',
    'LANG_NOT_REQUIRED_TEXT' => '안 됨',
    'LANG_REQUIRED_TEXT' => '리콰이어됨',
    'LANG_DONT_DISPLAY_TEXT' => '숨기기',
    'LANG_FROM_TEXT' => '으로부터',
    'LANG_TO_TEXT' => '에게', // About location, event
    'LANG_TILL_TEXT' => 'Till', // About date
    'LANG_START_TEXT' => 'Start',
    'LANG_END_TEXT' => 'End',
    'LANG_ALL_TEXT' => 'All',
    'LANG_OR_TEXT' => '혹은',
    'LANG_AND_TEXT' => '그리고',
    'LANG_OTHER_TEXT' => '다른',
    'LANG_UNLIMITED_TEXT' => '무제한',
    'LANG_INFINITE_TEXT' => 'Infinite',
    'LANG_INF_TEXT' => 'Inf.',
    'LANG_TOTAL_TEXT' => '총',
    'LANG_INCLUDE_TEXT' => 'Include',
    'LANG_EXCLUDE_TEXT' => 'Exclude',
    'LANG_INCLUDED_TEXT' => 'Included',
    'LANG_EXCLUDED_TEXT' => 'Excluded',
    'LANG_ICON_TEXT' => 'Icon',
    'LANG_LABEL_TEXT' => 'Label',
    'LANG_CAPTION_TEXT' => 'Caption',
    'LANG_HEADING_TEXT' => 'Heading',
    'LANG_SEARCHABLE_TEXT' => 'Searchable',
    'LANG_LIST_ORDER_TEXT' => 'Order',
    'LANG_LIST_ORDER_BY_TEXT' => 'Order By',
    'LANG_LIST_ORDER_BY_SELECT_TEXT' => 'Order By:',
    'LANG_LIST_ORDER_BY_SELECT2_TEXT' => '- Order By -',
    'LANG_POSITION_TEXT' => 'Position',
    'LANG_POS_TEXT' => 'Pos.',
    'LANG_ACTIONS_TEXT' => 'Actions',
    'LANG_PREVIEW_TEXT' => 'Preview',
    'LANG_SAVE_TEXT' => 'Save',
    'LANG_EDIT_TEXT' => '수정',
    'LANG_DELETE_TEXT' => '삭제',
    'LANG_UPDATE_TEXT' => 'Update',
    'LANG_LOCK_TEXT' => 'Lock',
    'LANG_UNLOCK_TEXT' => 'Unlock',
    'LANG_CANCEL_TEXT' => '취소',
    'LANG_UNBLOCK_TEXT' => '블락헤제',
    'LANG_MORE_TEXT' => 'More',
    'LANG_NOTES_TEXT' => 'Notes',
    'LANG_PRIVATE_NOTES_TEXT' => 'Private Notes',
    'LANG_PRIVATE_NOTES2_TEXT' => 'Private notes', // Uppercase lowercase
    'LANG_PUBLIC_NOTES_TEXT' => 'Public Notes',
    'LANG_PUBLIC_NOTES2_TEXT' => 'Public notes', // Uppercase lowercase
    'LANG_VIEW_NOTES_TEXT' => 'View Notes',
    'LANG_VIEW_NOTES2_TEXT' => 'View notes', // Uppercase lowercase
    'LANG_BACK_TEXT' => '뒤로',
    'LANG_GO_TO_HOME_PAGE_TEXT' => 'Go To Home Page',
    'LANG_CONTINUE_TEXT' => '계속하기',
    'LANG_CONFIRM_TEXT' => '완료',
    'LANG_CHOOSE_TEXT' => '선택',
    'LANG_SELECT_TEXT' => '선택',
    'LANG_DROPDOWN_SELECT_TEXT' => '선택:',
    'LANG_DROPDOWN_SELECT2_TEXT' => '- 선택 -',
    'LANG_DROPDOWN_SELECT3_TEXT' => '--- 선택 ---',
    'LANG_SELECT_S_TEXT' => '선택 %s',
    'LANG_DROPDOWN_SELECT_S_TEXT' => '선택 %s:',
    'LANG_DROPDOWN_SELECT2_S_TEXT' => '- 선택 %s -',
    'LANG_DROPDOWN_SELECT3_S_TEXT' => '--- 선택 %s ---',
    'LANG_THANK_YOU_TEXT' => '감사합니다!',
    'LANG_LOADING_TEXT' => 'Loading ...',
    'LANG_UNIT_TEXT' => 'Unit',
    'LANG_UNIT2_TEXT' => 'unit',
    'LANG_UNITS_TEXT' => 'Units',
    'LANG_UNITS2_TEXT' => 'units',
    'LANG_UNITS_SUFFIX_TEXT' => 'Unit(s)',
    'LANG_UNITS_SUFFIX2_TEXT' => 'unit(s)',
    'LANG_MULTIPLIER_TEXT' => 'Multiplier',
    'LANG_OPTIONAL_TEXT' => 'Optional',
    'LANG_OPTIONAL2_TEXT' => 'optional', // Lowercase
    'LANG_QUANTITY_TEXT' => '수량',
    'LANG_QUANTITY_SHORT_TEXT' => '수.',
    'LANG_APPLICATION_TEXT' => 'Application',
    'LANG_APPLICATION2_TEXT' => 'application', // Lowercase
    'LANG_APPLICATIONS_TEXT' => 'Applications',
    'LANG_APPLICATIONS2_TEXT' => 'applications', // Lowercase
    'LANG_APPLICATIONS_SUFFIX_TEXT' => 'Application(s)',
    'LANG_APPLICATIONS_SUFFIX2_TEXT' => 'application(s)', // Lowercase
    'LANG_VISITOR_TEXT' => 'Visitor',
    'LANG_TITLE_TEXT' => '이름',
    'LANG_MR_TEXT' => '씨',
    'LANG_MS_TEXT' => '씨',
    'LANG_MRS_TEXT' => '씨',
    'LANG_MISS_TEXT' => '씨',
    'LANG_DR_TEXT' => '의사',
    'LANG_PROF_TEXT' => '교수',
    'LANG_NAME_TEXT' => '이름',
    'LANG_FULL_NAME_TEXT' => 'Full 이름',
    'LANG_FIRST_NAME_TEXT' => '이름',
    'LANG_LAST_NAME_TEXT' => '성',
    'LANG_DATE_OF_BIRTH_TEXT' => '생년월일',
    'LANG_YEAR_OF_BIRTH_TEXT' => '생년',
    'LANG_MONTH_OF_BIRTH_TEXT' => 'Month of Birth',
    'LANG_DAY_OF_BIRTH_TEXT' => 'Day of Birth',
    'LANG_ADDRESS_TEXT' => '주소',
    'LANG_STREET_ADDRESS_TEXT' => '주소',
    'LANG_YOUR_PREFERRED_ADDRESS_TEXT' => 'Your Preferred Address',
    'LANG_PHONE_TEXT' => '핸드폰',
    'LANG_PHONE_HOURS_TEXT' => 'Phone Hours',
    'LANG_CALL_TEXT' => 'Call',
    'LANG_EMAIL_TEXT' => '이메일',
    'LANG_EMAIL_ADDRESS_TEXT' => '이메일 주소',
    'LANG_FACEBOOK_TEXT' => 'Facebook',
    'LANG_FACEBOOK_URL_TEXT' => 'Facebook URL',
    'LANG_INSTAGRAM_TEXT' => 'Instagram',
    'LANG_INSTAGRAM_URL_TEXT' => 'Instagram URL',
    'LANG_TWITTER_TEXT' => 'Twitter',
    'LANG_TWITTER_URL_TEXT' => 'Twitter URL',
    'LANG_LINKEDIN_TEXT' => 'LinkedIn',
    'LANG_LINKEDIN_URL_TEXT' => 'LinkedIn URL',
    'LANG_GOOGLE_TEXT' => 'Google',
    'LANG_YELP_TEXT' => 'Yelp',
    'LANG_FACEBOOK_LIKE_US_TEXT' => 'Like Us',
    'LANG_INSTAGRAM_FOLLOW_TEXT' => 'Follow',
    'LANG_TWITTER_FOLLOW_TEXT' => 'Follow',
    'LANG_LINKEDIN_CONNECT_TEXT' => 'Connect',
    'LANG_IP_TEXT' => '아이피',
    'LANG_IP_ADDRESS_TEXT' => '아이피 주소',
    'LANG_IP_ADDRESS_VIA_API_TEXT' => '아이피 주소 via API',
    'LANG_REAL_IP_TEXT' => 'Real 아이피',
    'LANG_LAST_IP_TEXT' => 'Last 아이피',
    'LANG_LAST_REAL_IP_TEXT' => 'Last Real 아이피',
    'LANG_URL_TEXT' => 'URL',
    'LANG_REFERRAL_TEXT' => 'Referral',
    'LANG_REFERRAL_URL_TEXT' => 'Referral URL',
    'LANG_HOST_TEXT' => 'Host',
    'LANG_AGENT_TEXT' => 'Agent',
    'LANG_BROWSER_TEXT' => 'Browser',
    'LANG_OS_TEXT' => 'Operating System',
    'LANG_RESOLUTION_TEXT' => 'Resolution',
    'LANG_ROBOT_TEXT' => 'Robot',
    'LANG_IS_ROBOT_TEXT' => 'Is Robot',
    'LANG_IMAGE_TEXT' => 'Image',
    'LANG_IMAGE_VIEW_TEXT' => 'View Image',
    'LANG_IMAGE_VIEW_DEMO_TEXT' => 'View Demo Image',
    'LANG_IMAGE_DELETE_TEXT' => 'Delete Image',
    'LANG_IMAGE_UNSET_DEMO_TEXT' => 'Unset Demo Image',
    'LANG_IMAGE_NONE_TEXT' => 'No Image',
    'LANG_LOGO_TEXT' => 'Logo',
    'LANG_LOGO_VIEW_TEXT' => 'View Logo',
    'LANG_LOGO_VIEW_DEMO_TEXT' => 'View Demo Logo',
    'LANG_LOGO_DELETE_TEXT' => 'Delete Logo',
    'LANG_LOGO_UNSET_DEMO_TEXT' => 'Unset Demo Logo',
    'LANG_LOGO_NONE_TEXT' => 'No Logo',
    'LANG_PHOTO_TEXT' => 'Photo',
    'LANG_PHOTO_VIEW_TEXT' => 'View Photo',
    'LANG_PHOTO_VIEW_DEMO_TEXT' => 'View Demo Photo',
    'LANG_PHOTO_DELETE_TEXT' => 'Delete Photo',
    'LANG_PHOTO_UNSET_DEMO_TEXT' => 'Unset Demo Photo',
    'LANG_PHOTO_NONE_TEXT' => 'No Photo',
    'LANG_NO_ERRORS_TEXT' => 'No errors',
    'LANG_UNKNOWN_TEXT' => 'Unknown',
    'LANG_UNKNOWN_ERROR_TEXT' => '이상한 에러.',
    'LANG_PLEASE_KEEP_IN_MIND_THAT_TEXT' => 'Please keep in mind that',
    'LANG_VIEW_DETAILS_TEXT' => '자세히 보기',
    'LANG_VIEW_PAGE_IN_NEW_WINDOW_TEXT' => '새 창에서 열기',
    'LANG_PAGE_NOT_FOUND_TEXT' => 'Page Not Found',
    'LANG_PAGE_NOT_FOUND2_TEXT' => 'Page not found', // Uppercase lowercase
    'LANG_NOTICE_S_TEXT' => 'Notice: %s',
    'LANG_ERROR_IN_S_METHOD_S_TEXT' => '에러 \'%s\' 메소드: %s!',
    'LANG_SYSTEM_ERROR_PLEASE_CONTACT_SITE_ADMINISTRATOR_TEXT' => 'System error! Please contact site administrator if you keep seeing this message!',
    'LANG_SYSTEM_IS_UNABLE_TO_COMPLETE_YOUR_REQUEST_ERROR_TEXT' => 'Error: System is unable to complete your request!',

    // Counters Observer
    'LANG_COUNTERS_TEXT' => 'Counters',
    'LANG_COUNTERS_ATTEMPT_TEXT' => 'Attempt Counters',
    'LANG_COUNTERS_IP_TEXT' => 'IP Counters',

    // Counter Element
    'LANG_COUNTER_TEXT' => 'Counter',
    'LANG_COUNTER_ATTEMPT_TEXT' => 'Attempt Counter',
    'LANG_COUNTER_IP_TEXT' => 'IP Counter',
    'LANG_COUNTER_STATUS_ACTIVE_TEXT' => 'Active',
    'LANG_COUNTER_STATUS_EXPIRED_TEXT' => 'Expired',
    'LANG_COUNTER_RETENTION_PERIOD_TEXT' => 'Counter Retention Period',

    // OK / Error Messages - Counter Element
    'LANG_COUNTER_HOURLY_API_REQUESTS_LIMIT_EXCEEDED_ERROR_TEXT' => 'Error: You\'ve exceeded API requests limit this hour!',
    'LANG_COUNTER_EXISTS_ERROR_TEXT' => 'Error: Counter already exists!',
    'LANG_COUNTER_INSERTION_ERROR_TEXT' => 'Error: MySQL insert error for new counter!',
    'LANG_COUNTER_INSERTED_TEXT' => 'Completed: New counter has been added successfully!',
    'LANG_COUNTER_TIMESTAMP_AND_COUNT_UPDATE_ERROR_TEXT' => 'Error: MySQL update error for counter last timestamp and count!',
    'LANG_COUNTER_TIMESTAMP_AND_COUNT_UPDATED_TEXT' => 'Completed: Counter last timestamp and count has been updated!',

    // OK / Error Messages - (Database) Update
    'LANG_DATABASE_UPDATE_CANT_PATCH_MAJOR_MINOR_DIFFERENT_NOTICE_TEXT' => 'Notice: Can\'t patch - current major and minor is different to update class!',
    'LANG_DATABASE_UPDATE_PATCH_CLASS_S_WRONG_INTERFACE_ERROR_TEXT' => 'Error: Patch class \'%s\' is not an instance of PatchInterface!',
    'LANG_DATABASE_UPDATE_PATCH_CLASS_S_DOES_NOT_EXIST_ERROR_TEXT' => 'Error: Patch class \'%s\' - does not exist!',
    'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_ALTER_ERROR_TEXT' => 'Error on blog #%d: MySQL alter error for plugin early structure!',
    'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_ALTERED_TEXT' => 'Completed on blog #%d: Plugin early structure has been altered successfully!',
    'LANG_DATABASE_UPDATE_LATE_STRUCTURE_ALTER_ERROR_TEXT' => 'Error on blog #%d: MySQL alter error for plugin late structure!',
    'LANG_DATABASE_UPDATE_LATE_STRUCTURE_ALTERED_TEXT' => 'Completed on blog #%d: Plugin late structure has been altered successfully!',
    'LANG_DATABASE_UPDATE_DATA_UPDATE_ERROR_TEXT' => 'Error on blog #%d: MySQL update error for plugin data!',
    'LANG_DATABASE_UPDATE_DATA_UPDATED_TEXT' => 'Completed on blog #%d: Plugin data has been updated successfully!',
    'LANG_DATABASE_UPDATE_QUERY_FAILED_FOR_S_TABLE_AT_COUNTER_D_ERROR_TEXT' => 'Error on blog #%d: MySQL query could not be processed in \'%s\' table at counter #%d!',
    'LANG_DATABASE_UPDATE_ROLES_UPDATE_ERROR_TEXT' => 'Error on blog #%d: MySQL update error for plugin roles!',
    'LANG_DATABASE_UPDATE_ROLES_UPDATED_TEXT' => 'Completed on blog #%d: Plugin roles has been updated successfully!',
    'LANG_DATABASE_UPDATE_CAPABILITIES_UPDATE_ERROR_TEXT' => 'Error on blog #%d: MySQL update error for plugin capabilities!',
    'LANG_DATABASE_UPDATE_CAPABILITIES_UPDATED_TEXT' => 'Completed on blog #%d: Plugin capabilities has been updated successfully!',
    'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_PATCH_ERROR_TEXT' => 'Error on blog #%d: MySQL patch error for plugin early structure!',
    'LANG_DATABASE_UPDATE_EARLY_STRUCTURE_PATCHED_TEXT' => 'Completed on blog #%d: Plugin early structure has been patched successfully!',
    'LANG_DATABASE_UPDATE_LATE_STRUCTURE_PATCH_ERROR_TEXT' => 'Error on blog #%d: MySQL patch error for plugin late structure!',
    'LANG_DATABASE_UPDATE_LATE_STRUCTURE_PATCHED_TEXT' => 'Completed on blog #%d: Plugin late structure has been patched successfully!',
    'LANG_DATABASE_UPDATE_DATA_PATCH_ERROR_TEXT' => 'Error on blog #%d: MySQL update error for plugin data patch!',
    'LANG_DATABASE_UPDATE_DATA_PATCHED_TEXT' => 'Completed on blog #%d: Plugin data has been patched successfully!',
    'LANG_DATABASE_UPDATE_SEMANTIC_VERSION_UPDATE_ERROR_TEXT' => 'Error on blog #%d: MySQL update error for plugin database semantic version!',
    'LANG_DATABASE_UPDATE_SEMANTIC_VERSION_UPDATED_TEXT' => 'Completed on blog #%d: Plugin database semantic version has been updated to %s!',

    // Demos Observer
    'LANG_DEMOS_TEXT' => 'Demos',
    'LANG_DEMOS_SHORT_TEXT' => 'Demos',

    // Demo Element
    'LANG_DEMO_SELECT_TEXT' => ' --- 예제 선택 --- ',
    'LANG_DEMO_IMPORT_TEXT' => '예제 불러오기',
    'LANG_DEMO_IMPORT_SHORT_TEXT' => 'Import',
    'LANG_DEMO_NOTE_ON_DATA_FLUSHING_TEXT' => 'By importing demo you will flush all your existing data of this plugin.',
    'LANG_DEMO_NOTE_ON_NO_AFFECT_TO_OTHER_CONTENT_TEXT' => 'Other website content, including pages content, won\'t be affected, so you still have to add the shortcodes by yourself.',
    'LANG_DEMO_NOTE_TO_HAVE_DATABASE_BACKUP_TEXT' => 'Make sure you have a latest database backup with you before importing a demo.',

    // OK / Error Messages - Demo Element
    'LANG_DEMO_IMPORTING_DIALOG_TEXT' => 'Are you sure? This will flush all the content of plugin you have!',
    'LANG_DEMO_SQL_FILE_DOES_NOT_EXIST_OR_IS_NOT_READABLE_TEXT' => 'Error: Demo SQL file does not exists or is not readable!',
    'LANG_DEMO_INSERTION_ERROR_TEXT' => 'Error: MySQL insert error in demo data import!',
    'LANG_DEMO_INSERTED_TEXT' => 'Completed: Demo data has been imported successfully!',

    // Guests Observer
    'LANG_GUESTS_TEXT' => 'Guests',

    // OK / Error Messages - Guests Observer
    'LANG_GUESTS_ONLY_FEATURE_PLEASE_LOGOUT_FIRST_ERROR_TEXT' => 'Error: This feature is available only for guests. Please logout first!',

    // Guest Element
    'LANG_GUEST_TEXT' => 'Guest',
    'LANG_GUEST_NO_ACCOUNT_TEXT' => 'No Account',
    'LANG_GUEST_NO_ACCOUNT2_TEXT' => 'No account', // Uppercase lowercase

    // OK / Error Messages - Guest Element
    'LANG_GUEST_CUSTOMER_LOOKUP_IS_DISABLED_ERROR_TEXT' => 'Error: Guest customer lookup is disabled!',

    // Install Element
    'LANG_INSTALL_TEXT' => 'Install',

    // OK / Error Messages - Install Element
    'LANG_INSTALL_INSERTION_ERROR_TEXT' => 'Error on blog #%d: MySQL insert error in new installation!',
    'LANG_INSTALL_INSERTED_TEXT' => 'Completed on blog #%d: Installation data has been inserted successfully!',
    'LANG_INSTALL_REPLACE_ERROR_TEXT' => 'Error on blog #%d: MySQL replace error for installation data!',
    'LANG_INSTALL_REPLACED_TEXT' => 'Completed on blog #%d: Installation data has been replaced successfully!',

    // Licenses Observer
    'LANG_LICENSES_TEXT' => 'Licenses',

    // License Element
    'LANG_LICENSE_TEXT' => 'License',
    'LANG_LICENSE_SERVER_TEXT' => 'License Server',
    'LANG_LICENSE_STATUS_TEXT' => 'License status',
    'LANG_LICENSE_STATUS_ACTIVATED_TEXT' => 'Activated',
    'LANG_LICENSE_STATUS_NOT_ACTIVATED_TEXT' => 'Not activated',
    'LANG_LICENSE_ACTIVATION_TEXT' => 'License Activation',
    'LANG_LICENSE_PURCHASE_CODE_TEXT' => 'Purchase Code',
    'LANG_LICENSE_EMAIL_TEXT' => 'License E-mail',
    'LANG_LICENSE_INSTALL_DOMAIN_TEXT' => 'Install Domain',
    'LANG_LICENSE_TYPE_TEXT' => 'License Type',
    'LANG_LICENSE_TYPE_REGULAR_TEXT' => 'Regular License',
    'LANG_LICENSE_TYPE_EXTENDED_TEXT' => 'Extended License',
    'LANG_LICENSE_TYPE_PARTNER_TEXT' => 'Partner License',
    'LANG_LICENSE_ACTIVATION_AGREEMENT_TEXT' => 'I agree that, for license validation purpose, plugin name, plugin version, my activation details - purchase code, license username, license e-mail, license domain -, and my current site domain (%s) will be transferred to SOLIDMVC.com, that will compare it with the data on Envato.com servers via API calls.',
    'LANG_LICENSE_ACTIVATE_TEXT' => 'Activate license',
    'LANG_LICENSE_RESET_TEXT' => 'reset your license',
    'LANG_LICENSE_GO_TO_NETWORK_ADMIN_TEXT' => 'To check license details of network-enabled plugin, go to "Car Rental -> Status -> Tab: License" menu item, located in WordPress Network Admin.',
    'LANG_LICENSE_NOTE_OF_SINGLE_USE_TEXT' => 'One purchased license can be activated for one e-mail and one domain only.',
    'LANG_LICENSE_NOTE_ON_CHANGING_DETAILS_LATER_TEXT' => 'If you will decide to change your license activation username, e-mail address or domain later you will be able to reset your license after activation, and re-activate it with new details.',
    'LANG_LICENSE_NOTE_TO_RESET_TEXT' => 'To change your license activation username, e-mail address or domain - %s and re-activate it with new details.',
    'LANG_LICENSE_NOTE_FOR_ENVIRONMENT_TEXT' => 'Even if you are working in a localhost environment or in a pre-production website, when activating please use the domain name of your live (final) website (i.e. MyWebsite.com).',

    // OK / Error Messages - License Element
    'LANG_LICENSE_EXISTS_ERROR_TEXT' => 'Error: License already exists!',
    'LANG_LICENSE_INVALID_TYPE_ERROR_TEXT' => 'Error: Invalid license type!',
    'LANG_LICENSE_INSERTION_ERROR_TEXT' => 'Error: MySQL insert error for new license!',
    'LANG_LICENSE_INSERTED_TEXT' => 'Completed: A license has been added!',
    'LANG_LICENSE_DELETION_ERROR_TEXT' => 'Error: MySQL delete error for existing license. No rows were deleted from database!',
    'LANG_LICENSE_DELETED_TEXT' => 'Completed: License has been deleted!',
    'LANG_LICENSE_INVALID_PURCHASE_CODE_ERROR_TEXT' => 'Error: Purchase code you provided is invalid!',
    'LANG_LICENSE_USERNAME_MISMATCH_ERROR_TEXT' => 'Error: Username you provided does not match license username!',
    'LANG_LICENSE_PURCHASE_DATE_MISMATCH_ERROR_TEXT' => 'Error: Purchase date you provided does not match license purchase date!',
    'LANG_LICENSE_OUTDATED_ERROR_TEXT' => 'Error: This license can no longer be activated, as the item for this license is out-dated. Please upgrade your item to the newest version.',
    'LANG_LICENSE_ACTIVATION_ERROR_TEXT' => 'Error: MySQL update error when tried to activate the license!',
    'LANG_LICENSE_ACTIVATED_TEXT' => 'Completed: License has been activated!',
    'LANG_LICENSE_RESET_ERROR_TEXT' => 'Error: MySQL update error when trying to reset license!',
    'LANG_LICENSE_HAD_RESET_TEXT' => 'Completed: License had reset successfully!',

    // (Linked) Nodes Observer
    'LANG_LINKED_NODES_TEXT' => 'Linked Nodes',

    // (Linked) Nodes Element
    'LANG_LINKED_NODE_TEXT' => 'Linked Node',

    // OK / Error Messages - (Linked) Nodes Element
    'LANG_LINKED_NODE_BLANK_CHECKSUM_ERROR_TEXT' => 'Error: Checksum is blank for linked node!',
    'LANG_LINKED_NODE_UPDATE_ERROR_TEXT' => 'Error: MySQL update error for existing linked node!',
    'LANG_LINKED_NODE_UPDATED_TEXT' => 'Completed: Linked node has been updated successfully!',
    'LANG_LINKED_NODE_INSERTION_ERROR_TEXT' => 'Error: MySQL insert error for new linked node!',
    'LANG_LINKED_NODE_INSERTED_TEXT' => 'Completed: A linked node has been added!',
    'LANG_LINKED_NODE_DELETION_ERROR_TEXT' => 'Error: MySQL delete error for existing linked node. No rows were deleted from database!',
    'LANG_LINKED_NODE_DELETED_TEXT' => 'Completed: Linked node has been deleted!',

    // Logs Observer
    'LANG_LOGS_TEXT' => 'Logs',

    // Log Element
    'LANG_LOG_TEXT' => 'Log',
    'LANG_LOG_VIEW_TEXT' => 'View Log',
    'LANG_LOG_DETAILS_TEXT' => 'Log Details',
    'LANG_LOG_BACK_TO_LIST_TEXT' => 'Back to Logs List',
    'LANG_LOG_ID_TEXT' => 'Log Id',
    'LANG_LOG_ACTION_TEXT' => 'Action',
    'LANG_LOG_DATE_TEXT' => 'Log Date',
    'LANG_LOG_DATE_AND_TIME_TEXT' => 'Log Date & Time',
    'LANG_LOG_RETENTION_PERIOD_TEXT' => 'Log Retention Period',
    'LANG_LOG_D_RESULTS_FOUND_TEXT' => '%d results found',
    'LANG_LOG_ERRORS_TEXT' => 'Errors',
    'LANG_LOG_DEBUG_TEXT' => 'Debug Log',
    'LANG_LOG_STATUS_ALLOWED_TEXT' => '허락',
    'LANG_LOG_STATUS_FAILED_TEXT' => '실패',
    'LANG_LOG_STATUS_BLOCKED_TEXT' => '블락된',

    // Status Element
    'LANG_STATUS_TEXT' => 'Status',
    'LANG_STATUS_NETWORK_TEXT' => 'Network Status',
    'LANG_STATUS_SYSTEM_UPDATE_TEXT' => '시스템 업데이트',
    'LANG_STATUS_NETWORK_UPDATE_TEXT' => '네트워크 업데이트',
    'LANG_STATUS_S_SYSTEM_TEXT' => '%s System Status',
    'LANG_STATUS_NETWORK_ENABLED_TEXT' => 'Network enabled',
    'LANG_STATUS_DATABASE_MIN_VERSION_TEXT' => 'Plugin database min. version',
    'LANG_STATUS_DATABASE_VERSION_TEXT' => 'Plugin database version',
    'LANG_STATUS_MICROFRAMEWORK_NAME_TEXT' => 'Micro-framework name',
    'LANG_STATUS_MICROFRAMEWORK_VERSION_TEXT' => 'Micro-framework version',
    'LANG_STATUS_INSTALLED_VERSION_TEXT' => 'Installed plugin version',
    'LANG_STATUS_MINOR_UPDATE_AVAILABLE_TEXT' => 'Minor plugin update available!',
    'LANG_STATUS_MAJOR_UPGRADE_AVAILABLE_TEXT' => 'Major plugin upgrade available!',
    'LANG_STATUS_NEWEST_EXISTING_VERSION_TEXT' => 'Newest-existing version',
    'LANG_STATUS_NEWEST_VERSION_AVAILABLE_TEXT' => 'Newest version available',
    'LANG_STATUS_YOU_HAVE_S_NO_UPDATE_AVAILABLE_TEXT' => 'You have %s. No update available.',
    'LANG_STATUS_THE_NEWEST_VERSION_TEXT' => 'the newest plugin version',
    'LANG_STATUS_UPDATE_FOLLOW_STEPS_TEXT' => 'To update the plugin, follow these steps',
    'LANG_STATUS_UPDATE_STEP_MAKE_A_COPY_TEXT' => 'Always make a copy of your database before doing any update',
    'LANG_STATUS_UPDATE_STEP_DOWNLOAD_NEW_VERSION_TEXT' => 'Download the new version',
    'LANG_STATUS_UPDATE_STEP_UPLOAD_VIA_FTP_TEXT' => 'If your server does not support file overriding, remove the old plugin folder via FTP (do not uninstall it, just remove the folder)',
    'LANG_STATUS_UPDATE_STEP_UPLOAD_NEW_VERSION_TEXT' => 'Upload the new plugin version',
    'LANG_STATUS_UPDATE_STEP_ACTIVATE_NEW_VERSION_TEXT' => 'Activate new plugin version',
    'LANG_STATUS_UPDATE_STEP_S_CLICK_UPDATE_TEXT' => 'Go back to "%s -> Status" page and click [Update] button - it will update the plugin\'s database tables',
    'LANG_STATUS_UPDATE_STEP_DONE_TEXT' => 'That\'s it',
    'LANG_STATUS_GO_TO_S_NETWORK_ADMIN_TEXT' => 'To check for updates of network-enabled plugin, go to "%s -> Status" menu item, located in WordPress Network Admin.',
    'LANG_STATUS_NOTE_FOR_POSSIBLY_NOT_IMPORTED_DATA_TEXT' => 'Note: You may also see this message, because you did not yet imported plugin\'s data to this exact blog. To do that, go to your current blog\'s plugin list, and click "Import Data" below the plugin\'s name.',
    'LANG_STATUS_NETWORK_NOTE_FOR_POSSIBLY_NOT_IMPORTED_DATA_TEXT' => 'Note: You may also see this message, because it might be that there is zero blog\'s in your network that has the plugin\'s data imported. To import it, go to any of your blog\'s plugin list, and click "Import Data" below the plugin\'s name.',
    'LANG_STATUS_S_SYSTEM_READY_FOR_UPDATE_TEXT' => '%s system is ready for update',
    'LANG_STATUS_S_SYSTEM_READY_FOR_UPGRADE_TEXT' => '%s system is ready for upgrade',
    'LANG_STATUS_UPDATE_TO_NEXT_VERSION_TEXT' => 'Update plugin to the next version',
    'LANG_STATUS_UPGRADE_TO_NEXT_VERSION_TEXT' => 'Upgrade plugin to the next version',

    // OK / Error Messages - Status Element
    'LANG_STATUS_NOT_LOCALLY_ENABLED_OR_DB_UPDATE_IN_PROGRESS_ERROR_TEXT' => 'Error: Plugin is not locally-enabled, or database update is in progress.',
    'LANG_STATUS_NOT_NETWORK_ENABLED_OR_DB_UPDATE_IN_PROGRESS_ERROR_TEXT' => 'Error: Plugin is not network-enabled, or database update is in progress.',
    'LANG_STATUS_UPDATE_NOT_ALLOWED_ERROR_TEXT' => 'Failed: You are not allowed to update. You either already updated the plugin, 
or you have plugin version older than 4.3.0 (in that case please install 4.3.0 plugin version first).',
    'LANG_STATUS_UPGRADE_NOT_ALLOWED_ERROR_TEXT' => 'Failed: You are not allowed to upgrade. You either already upgraded the plugin, 
or you have plugin version older than 4.3.0 (in that case please install 4.3.0 plugin version first).',

    // Tables Observer
    'LANG_TABLES_TEXT' => 'Tables',

    // Table Element
    'LANG_TABLE_TEXT' => 'Table',

    // OK / Error Messages - Table Element
    'LANG_TABLE_QUERY_FAILED_FOR_TABLE_ERROR_TEXT' => 'Error on blog #%d: MySQL query could not be processed for \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_CREATE_ERROR_TEXT' => 'Error on blog #%d: MySQL plugin table creation query could not be processed for \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_DROP_ERROR_TEXT' => 'Error on blog #%d: MySQL plugin table drop query could not be processed for tables:\'%s\'!',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_INSERTION_ERROR_TEXT' => 'Error on blog #%d: MySQL WordPress table insert query could not be processed for \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_INSERTION_ERROR_TEXT' => 'Error on blog #%d: MySQL plugin table insert query could not be processed in \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_REPLACE_ERROR_TEXT' => 'Error on blog #%d: MySQL WordPress table replace query could not be processed in \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_REPLACE_ERROR_TEXT' => 'Error on blog #%d: MySQL plugin table replace query could not be processed in \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_WP_TABLE_DELETION_ERROR_TEXT' => 'Error on blog #%d: MySQL WordPress delete table content query could not be processed in \'%s\' table!',
    'LANG_TABLE_QUERY_FAILED_FOR_PLUGIN_TABLE_DELETION_ERROR_TEXT' => 'Error on blog #%d: MySQL plugin delete table content query could not be processed for \'%s\' table!',

    // Template Exceptions
    'LANG_TEMPLATE_CANNOT_BIND_VARIABLE_ERROR_TEXT' => '찾을 수 없음 \'templateFile\'.',
    'LANG_TEMPLATE_NOT_EXIST_ERROR_TEXT' => '템플릿 파일 %s 존재하지 않음.',

    // Users Observer
    'LANG_USERS_TEXT' => 'Users',

    // User Element
    'LANG_USER_TEXT' => 'User',
    'LANG_USER_ID_TEXT' => 'User Id',
    'LANG_USER_ID2_TEXT' => 'User id',
    'LANG_USER_SELECT_TEXT' => 'User:',
    'LANG_USER_SELECT2_TEXT' => '- Select User -', // MB
    'LANG_USER_ACCOUNT_TEXT' => 'Account',
    'LANG_USER_ACCOUNT_SELECT_TEXT' => 'Account:',
    'LANG_USER_ACCOUNT_SELECT2_TEXT' => '- Select Account -', // MB
    'LANG_USER_MY_ACCOUNT_TEXT' => 'My Account',
    'LANG_USER_MY_ACCOUNT2_TEXT' => 'My account', // Uppercase lowercase
    'LANG_USER_ACCOUNT_ID_TEXT' => 'Account Id',
    'LANG_USER_ACCOUNT_ID2_TEXT' => 'Account id', // Uppercase lowercase
    'LANG_USER_ACCOUNT_ID_OR_EMAIL_TEXT' => 'Account Id / E-Mail',
    'LANG_USER_USERNAME_TEXT' => 'Username',
    'LANG_USER_PASSWORD_TEXT' => 'Password',
    'LANG_USER_LOGIN_TEXT' => 'Login',
    'LANG_USER_ALREADY_HAVE_AN_ACCOUNT_TEXT' => 'Already have an account?',
    'LANG_USER_SEARCH_FOR_MY_ACCOUNT_TEXT' => 'Search for My Account',
    'LANG_USER_OR_CREATE_NEW_ACCOUNT_TEXT' => 'Or create a new account',

    // OK / Error Messages - User Element
    'LANG_USER_UNIQUE_USERNAME_CREATION_ERROR_TEXT' => 'Error: System is unable to create unique username for new account! Please contact site administrator.',
    'LANG_USER_EMAIL_IS_REQUIRED_TO_CREATE_A_NEW_ACCOUNT_ERROR_TEXT' => 'Error: E-mail is required to create a new account.',
    'LANG_USER_ACCOUNT_CREATION_ERROR_TEXT' => 'Error: System is unable to create a new account! Please contact site administrator.',
    'LANG_USER_LOGGING_IN_PLEASE_WAIT_TEXT' => 'Logging in, please wait ...',
    'LANG_USER_PLEASE_LOGIN_FIRST_ERROR_TEXT' => 'Error: Please login first!',
    'LANG_USER_NOT_ALLOWED_TO_ACCESS_THIS_CUSTOMER_ERROR_TEXT' => 'Error: You are not allowed to access this customer details!',
    'LANG_USER_ACCOUNT_ID_OR_PASSWORD_ERROR_TEXT' => 'Error: Wrong account id or password!',
    'LANG_USER_USERNAME_OR_PASSWORD_ERROR_TEXT' => 'Error: Wrong username or password!',
    'LANG_USER_SUCCESSFULLY_LOGGED_IN_TEXT' => 'Successfully logged in!',
    'LANG_USER_LOGIN_SUCCESSFUL_REDIRECTING_TEXT' => 'Login successful, redirecting...',

    // ReCaptcha
    'LANG_CAPTCHA_SECURITY_CODE_ERROR_TEXT' => 'Something went wrong',
);